import React from 'react'

export default props =>
  <div className='slds-form-element'>
    <div className='slds-form-element__control'>
      <div className='slds-select_container'>
        <select value={props.value} onChange={props.onChange} className='slds-select'>
          {props.options.map(o => {
            let value = props.getValue ? props.getValue(o) : o
            let key = props.getKey ? props.getKey(o) : value
            return <option key={key} value={value}>
              {value}
            </option>
          })}
        </select>
      </div>
    </div>
  </div>
